Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class SAXParserFactoryImpl

    java.lang.Object
      javax.xml.parsers.SAXParserFactory
          weblogic.apache.xerces.jaxp.SAXParserFactoryImpl

    public class SAXParserFactoryImpl

extends SAXParserFactory

This is the implementation specific class for the `javax.xml.parsers.SAXParserFactory`. This is the platform default implementation for the platform.

Constructor Summary
`SAXParserFactoryImpl()`

Method Summary
`boolean` | `getFeature(String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`SAXParser` | `newSAXParser()` Creates a new instance of `SAXParser` using the currently configured factory parameters.
`void` | `setFeature(String name, boolean value)` Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParserFactory
`getSchema, isNamespaceAware, isValidating, isXIncludeAware, newInstance, setNamespaceAware, setSchema, setValidating, setXIncludeAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserFactoryImpl

    public SAXParserFactoryImpl()

Method Detail

### newSAXParser

    public SAXParser newSAXParser()
                           throws ParserConfigurationException

  Creates a new instance of `SAXParser` using the currently configured factory parameters.

  Specified by:
    `newSAXParser` in class `SAXParserFactory`
  Returns:
    javax.xml.parsers.SAXParser
  Throws:
    `ParserConfigurationException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws ParserConfigurationException,
                           SAXNotRecognizedException,
                           SAXNotSupportedException

  Sets the particular feature in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `setFeature` in class `SAXParserFactory`
  Throws:
    `ParserConfigurationException`
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### getFeature

    public boolean getFeature(String name)
                       throws ParserConfigurationException,
                              SAXNotRecognizedException,
                              SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `getFeature` in class `SAXParserFactory`
  Throws:
    `ParserConfigurationException`
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD